2 quick questions...

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Post Reply
muhaidib
Registered User
Posts: 57
Joined: Tue Jun 28, 2005 7:33 am

2 quick questions...

Post by muhaidib »

hey there,,

i heard that RC1 will be released with the code converter from phpbb2,, so I can run a forum live ? or I have to wait for the gold version,, if I do run it live and later the gold version comes out, will there be an update script or not from rc1 to gold ?

I am not sayin that i will run it live on rc1 i just want to ask,,

what I really want to know is the upgrade script from phpbb2,,,

do I have to have phpBB2.0.21 to be able to upgrade?,, i run on phpBB2.0.18 and I really don't want to upgrade to 21 because its too time consuming

please tell me its ok to upgrade from 2.0.18 -> 3.0.0

thanx

Dace
Posts: 6
Joined: Mon Sep 11, 2006 3:14 pm
Location: France

Re: 2 quick questions...

Post by Dace »

2 quick anwers

- Yes RC1 will be released with a script to convert phpbb2 to phpbb3

- i think that u must upgrade to 2.0.21 to use this script...

cya

User avatar
NNO-Stephen
Registered User
Posts: 398
Joined: Fri May 23, 2003 12:47 am
Location: Tulsa, Oklahoma
Contact:

Re: 2 quick questions...

Post by NNO-Stephen »

it will be a whole lot less time consuming to go from 2.0.18 to 2.0.21 than from either of those to 3.0, so I don't really see your complaint about 2.0.21 taking to long to do. if you have no mods, it takes less than a minute of actual "doing stuff" time.
Image

User avatar
Eelke
Registered User
Posts: 606
Joined: Thu Dec 20, 2001 8:00 am
Location: Bussum, NL
Contact:

Re: 2 quick questions...

Post by Eelke »

muhaidib wrote: i heard that RC1 will be released with the code converter from phpbb2,, so I can run a forum live ?

The essential difference between the beta and RC stages is that with RC, upgrading from 2.0.x wil be supported and running a live board will be supported. Otherwise, it'd just be another beta with a fancy name ;)

muhaidib
Registered User
Posts: 57
Joined: Tue Jun 28, 2005 7:33 am

Re: 2 quick questions...

Post by muhaidib »

yeah,,, the thing is I don't want to upgrade from 18 to 21

i do have alot of mods and i have to edit the files one by one,, thats what i don't want to do!!

i really hope that i can just upgrade from 18 to 3,,,

also think about the next phpbb2,, i mean if phpbb3 will come out in a couple of months than don't you think there will be a 2.0.22 and even a 2.0.23 before 3.0.0 comes out...

Graham
Registered User
Posts: 1304
Joined: Tue Mar 19, 2002 7:11 pm
Location: UK

Re: 2 quick questions...

Post by Graham »

I would strongly recommend that you update to 2.0.21 anyway - all releases in the 2.0.x line include security fixes.

The supported upgrade path will be from the latest 2.0.x release to 3.0.0 (currently 2.0.21). It is likely we will allow some leeway on what versions can be directly upgraded, but there will certainly have to be some finite limit for support purposes
"So Long, and Thanks for All the Fish"

Graham
Eeek, a blog!

MKruer
Registered User
Posts: 156
Joined: Sun Jul 20, 2003 9:01 pm

Re: 2 quick questions...

Post by MKruer »

muhaidib wrote: yeah,,, the thing is I don't want to upgrade from 18 to 21

i do have alot of mods and i have to edit the files one by one,, thats what i don't want to do!!

i really hope that i can just upgrade from 18 to 3,,,

also think about the next phpbb2,, i mean if phpbb3 will come out in a couple of months than don't you think there will be a 2.0.22 and even a 2.0.23 before 3.0.0 comes out...


Dude. phpbb3 will break all your mods anyway so when you go to phpbb3 just take your legacy version upgrade to the latest version of phpbb2 (probably 22 by that time) and then use the upgrade script 2.xx to 3.0 to get it into the version phpbb3.

Post Reply